[lfs-support] gcc compile error in lfs 7.3

Armin K. krejzi at email.com
Sun Mar 24 15:04:56 PDT 2013


On 03/24/2013 10:56 PM, سید احمد حسینی wrote:
> tnk
> Thanks for the tips
> I am using version 7.3 (Page 38)
>
> My OS is Ubuntu 12.04
> config command :
> ../gcc-4.7.2/configure \
> --target=$LFS_TGT \
> --prefix=/tools \
> --with-sysroot=$LFS \
> --with-newlib \
> --without-headers \
> --with-local-prefix=/tools \
> --with-native-system-header-dir=/tools/include \
> --disable-nls \
> --disable-shared \
> --disable-multilib \
> --disable-decimal-float \
> --disable-threads \
> --disable-libmudflap \
> --disable-libssp \
> --disable-libgomp \
> --disable-libquadmath \
> --enable-languages=c \
> --with-mpfr-include=$(pwd)/../gcc-4.7.2/mpfr/src \
> --with-mpfr-lib=$(pwd)/mpfr/src/.libs
>
> part of error :
> *** Makeinfo is missing. Info documentation will not be built.
> config.h is unchanged
> tm.h is unchanged
> bconfig.h is unchanged
> tm_p.h is unchanged
> ../../gcc-4.7.2/gcc/gcc.c: In function ‘execute’:
> ../../gcc-4.7.2/gcc/gcc.c:2674:6: warning: format not a string literal
> and no format arguments [-Wformat-security]
> tconfig.h is unchanged
> ../../../gcc-4.7.2/libgcc/crtstuff.c: In function 'frame_dummy':
> ../../../gcc-4.7.2/libgcc/crtstuff.c:451:19: warning: array subscript is
> above array bounds [-Warray-bounds]
> ../../../gcc-4.7.2/libgcc/crtstuff.c: In function 'frame_dummy':
> ../../../gcc-4.7.2/libgcc/crtstuff.c:451:19: warning: array subscript is
> above array bounds [-Warray-bounds]
> ../../../gcc-4.7.2/libgcc/crtstuff.c: In function 'frame_dummy':
> ../../../gcc-4.7.2/libgcc/crtstuff.c:451:19: warning: array subscript is
> above array bounds [-Warray-bounds]
> configure: error: Link tests are not allowed after GCC_NO_EXECUTABLES.
> make[2]: *** [configure-stage1-target-libstdc++-v3] Error 1
> make[1]: *** [stage1-bubble] Error 2
> make: *** [all] Error 2
>
>
>
>  > Date: Sun, 24 Mar 2013 20:21:02 +0000
>  > From: zarniwhoop at ntlworld.com
>  > To: lfs-support at linuxfromscratch.org
>  > Subject: Re: [lfs-support] gcc compile error in lfs 7.3
>  >
>  > On Sun, Mar 24, 2013 at 03:04:28PM -0500, Bruce Dubbs wrote:
>  > > سید احمد حسینی wrote:
>  > > > Hi FriendsI came across this error while compiling linux:
>  > > > checking for a BSD-compatible install...
>  > >
>  > >
>  > >
>  > > > Please guide me
>  > >
>  > > Your post is unreadable. Send messages in text mode.
>  > >
>  > > -- Bruce
>  > >
>  > Agreed, but I happen to be on a desktop so on this occasion I'll
>  > paste the error:
>  > configure: error: Link tests are not allowed after GCC_NO_EXECUTABLES
>  >
>  > We had someone asking this recently. From memory, that message
>  > comes from trying to build g++ or libstdc++. I'm guessing that the
>  > OP is in the first pass of gcc [ سید احمد حسین : when you ask for
>  > help, please explain where you are in the book, and which version of
>  > it ]. If that assumption is correct, the OP has probably omitted the
>  > line --enable-languages=c from the configure command.
>  >
>  > Among the earlier unreadable text (no new lines in what was posted,
>  > so everything runs together which is just _weird_) I can see
>  > checking for gawk... mawk
>  > That is not going to work. Please read 'Host System Requirtements'
>  > in the preface.
>  >
>  > ĸen
>  > --
>  > das eine Mal als Tragödie, das andere Mal als Farce
>  > --
>  > http://linuxfromscratch.org/mailman/listinfo/lfs-support
>  > FAQ: http://www.linuxfromscratch.org/lfs/faq.html
>  > Unsubscribe: See the above information page
>
>

Chech the host requirements, run the hostreqs script and see what are 
you missing, then install it.



More information about the lfs-support mailing list